## peruse 0.1.0

=== DESCRIPTION ===
Package: peruse
Title: Sequence and Wide Data Iteration
Version: 0.1.0
Authors@R: 
    person(given = "Jacob",
           family = "Goldsmith",
           role = c("aut", "cre"),
           email = "jacobg314@hotmail.com")
Description: A friendly API for sequence iteration and set comprehension, and 
    a tool for constructing and manipulating hash-table based data sets.
License: GPL-2
URL: https://github.com/jacgoldsm/peruse,
        https://jacgoldsm.github.io/peruse/
BugReports: https://github.com/jacgoldsm/peruse/issues
Encoding: UTF-8
Imports: rlang, purrr, R6
Depends: magrittr
LazyData: true
RoxygenNote: 7.1.1
Suggests: testthat, dplyr
NeedsCompilation: no
Packaged: 2020-12-17 20:21:09 UTC; storeddocumentsonline
Author: Jacob Goldsmith [aut, cre]
Maintainer: Jacob Goldsmith <jacobg314@hotmail.com>
Repository: CRAN
Date/Publication: 2020-12-21 16:10:02 UTC

## peruse 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: peruse
-Title: Sequence and Wide Data Iteration
-Version: 0.1.0
+Title: Sequence Iteration and Set Comprehension
+Version: 0.2.0
 Authors@R: 
     person(given = "Jacob",
            family = "Goldsmith",
@@ -13,14 +13,14 @@
         https://jacgoldsm.github.io/peruse/
 BugReports: https://github.com/jacgoldsm/peruse/issues
 Encoding: UTF-8
-Imports: rlang, purrr, R6
+Imports: rlang, purrr
 Depends: magrittr
 LazyData: true
 RoxygenNote: 7.1.1
 Suggests: testthat, dplyr
 NeedsCompilation: no
-Packaged: 2020-12-17 20:21:09 UTC; storeddocumentsonline
+Packaged: 2021-01-05 02:04:25 UTC; storeddocumentsonline
 Author: Jacob Goldsmith [aut, cre]
 Maintainer: Jacob Goldsmith <jacobg314@hotmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-21 16:10:02 UTC
+Date/Publication: 2021-01-06 07:30:11 UTC

## peruse 0.3.0

=== DESCRIPTION ===
Package: peruse
Title: A Tidy API for Sequence Iteration and Set Comprehension
Version: 0.3.0
Authors@R: 
    person(given = "Jacob",
           family = "Goldsmith",
           role = c("aut", "cre"),
           email = "jacobg314@hotmail.com")
Description: A friendly API for sequence iteration and set comprehension.
License: GPL-2
URL: https://github.com/jacgoldsm/peruse,
        https://jacgoldsm.github.io/peruse/
BugReports: https://github.com/jacgoldsm/peruse/issues
Encoding: UTF-8
Imports: rlang, purrr
Depends: magrittr
LazyData: true
RoxygenNote: 7.1.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2021-02-05 01:15:50 UTC; storeddocumentsonline
Author: Jacob Goldsmith [aut, cre]
Maintainer: Jacob Goldsmith <jacobg314@hotmail.com>
Repository: CRAN
Date/Publication: 2021-02-05 05:30:07 UTC

## peruse 0.3.1

=== DESCRIPTION ===
Package: peruse
Title: A Tidy API for Sequence Iteration and Set Comprehension
Version: 0.3.1
Authors@R: 
    person(given = "Jacob",
           family = "Goldsmith",
           role = c("aut", "cre"),
           email = "jacobg314@hotmail.com")
Description: A friendly API for sequence iteration and set comprehension.
License: GPL-2
URL: https://github.com/jacgoldsm/peruse,
        https://jacgoldsm.github.io/peruse/
BugReports: https://github.com/jacgoldsm/peruse/issues
Encoding: UTF-8
Imports: rlang
Depends: magrittr
LazyData: true
RoxygenNote: 7.1.1
Suggests: testthat, purrr
NeedsCompilation: no
Packaged: 2021-03-08 07:06:02 UTC; storeddocumentsonline
Author: Jacob Goldsmith [aut, cre]
Maintainer: Jacob Goldsmith <jacobg314@hotmail.com>
Repository: CRAN
Date/Publication: 2021-03-08 07:20:02 UTC

## peruse 1.2%2Bdfsg

=== src/CMakeLists.txt ===
# A library for managing acbf (Advanced Comic Book Format) data, as defined by http://acbf.wikia.com/wiki/Specifications
add_subdirectory(acbf)

# Content provider Quick2 plugin
add_subdirectory(contentlist)

# Our Qt Quick plugin
add_subdirectory(qtquick)

# Base application
add_subdirectory(app)

# Creator application
add_subdirectory(creator)

=== src/acbf/CMakeLists.txt ===
project(acbf)

set(acbf_SRCS
    AcbfAuthor.cpp
    AcbfBody.cpp
    AcbfBookinfo.cpp
    AcbfContentrating.cpp
    AcbfDatabaseref.cpp
    AcbfDocument.cpp
    AcbfDocumentinfo.cpp
    AcbfLanguage.cpp
    AcbfMetadata.cpp
    AcbfPage.cpp
    AcbfPublishinfo.cpp
    AcbfSequence.cpp
    AcbfTextarea.cpp
    AcbfTextlayer.cpp
)

add_library(acbf SHARED ${acbf_SRCS})
generate_export_header(acbf BASE_NAME acbf)

target_link_libraries(acbf
    PUBLIC
    Qt5::Core
)

install(TARGETS acbf ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/app/CMakeLists.txt ===
set(APP_SRCS
    main.cpp
)

ecm_add_app_icon(APP_SRCS ICONS "icon/128-apps-peruse.png")

add_executable(peruse ${APP_SRCS})
target_link_libraries(peruse
    Qt5::Core
    Qt5::Quick
    Qt5::Gui
    ${Qt5Gui_OPENGL_LIBRARIES}
    Qt5::Qml
    Qt5::Widgets
    Qt5::OpenGL
    KF5::I18n
    KF5::Declarative
)

install(TARGETS peruse ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.peruse.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/peruse)
install(FILES org.kde.peruse.appdata.xml DESTINATION ${DATA_INSTALL_DIR}/appdata)

add_subdirectory(icon)

=== src/app/icon/CMakeLists.txt ===
ecm_install_icons(ICONS sc-apps-peruse.svg DESTINATION ${ICON_INSTALL_DIR})

=== src/creator/icon/CMakeLists.txt ===
ecm_install_icons(ICONS sc-apps-peruse-creator.svg DESTINATION ${ICON_INSTALL_DIR})

## peruse 1.2+dfsg

=== src/contentlist/CMakeLists.txt ===
set(qmlplugin_SRCS
    qmlplugin.cpp
    ContentList.cpp
    ContentListerBase.cpp
    FilesystemContentLister.cpp
)


if(KF5Baloo_FOUND)
    set(qmlplugin_baloo_SRCS
        BalooContentLister.cpp
    )
endif()

add_library (contentlistqmlplugin SHARED ${qmlplugin_SRCS} ${qmlplugin_baloo_SRCS})

target_link_libraries (contentlistqmlplugin
    Qt5::Qml
    KF5::FileMetaData
)

if(KF5Baloo_FOUND)
    target_compile_definitions(contentlistqmlplugin PRIVATE -DBALOO_FOUND="${KF5Baloo_FOUND}")
    target_link_libraries(contentlistqmlplugin    
        KF5::Baloo
    )
endif()

install (TARGETS contentlistqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/contentlist)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/contentlist)

=== src/creator/CMakeLists.txt ===
set(CREATOR_SRCS
    main.cpp
)

ecm_add_app_icon(CREATOR_SRCS ICONS "icon/128-apps-peruse-creator.png")

add_executable(perusecreator ${CREATOR_SRCS})
target_link_libraries(perusecreator
    Qt5::Core
    Qt5::Quick
    Qt5::Gui
    ${Qt5Gui_OPENGL_LIBRARIES}
    Qt5::Qml
    Qt5::Widgets
    Qt5::OpenGL
    KF5::I18n
    KF5::Declarative
)

install(TARGETS perusecreator ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.perusecreator.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/perusecreator)
install(FILES org.kde.perusecreator.appdata.xml DESTINATION ${DATA_INSTALL_DIR}/appdata)

add_subdirectory(icon)

=== debian/changelog ===
peruse (1.2+dfsg-2ubuntu1) bionic; urgency=medium

  * peruse version 1.2 is a kirigami 1 based application, so it requires
    the 'qml-module-org-kde-kirigami' at runtime instead of 'qml-module-
    org-kde-kirigami2' (LP: #1765605)
  * Remove spurious kirigami2-dev build dependency. The port of persue
    to kirigami2 is only found in upstream unreleased git-master, and
    even then only a runtime dep on the qml module would be required.
  * debian/patches: Add upstream_use-right-knsrc-file.patch
    Fixes peruse not falling back to /etc/xdg/peruse.knsrc when it fails
    to find a valid config file in Kubuntu's custom config location.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Apr 2018 09:35:52 +0100

peruse (1.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * Remove unneeded runtime dependency, qml-module-org-kde-kirigami.
  * Add a missing line to debian/copyright (Closes: #895699). Thanks to
    Chris Lamb for the pointer!
  * Mark peruse-common as Multi-Arch: foreign, as recommended by the
    Multiarch Hinter.
  * Change maintainer to KDE Extras to be more specific.
  * Fix appstream-metadata-in-legacy-location by grabbing a patch from
    upstream.

  [ Pino Toscano ]
  * Move the appdata, and desktop files from peruse-common to peruse: they
    need to stay together with the executable they refer to, otherwise the
    installation with AppStream is broken, and just installing peruse-common
    creates broken menu entries
    - add proper breaks/replaces for this
  * Do not include debian-qt-kde.mk in rules, since the dh sequencer is used
    directly.
  * Remove unused build dependencies: kdoctools-dev, libkf5newstuff-dev, and
    libkf5plasma-dev.
  * Remove the unused ${shlibs:Depends} substvar in peruse-common.
  * Tighten the peruse-common dependency in peruse.
  * Update the short descriptions to not start with a capital letter.

 -- Pino Toscano <pino@debian.org>  Thu, 19 Apr 2018 07:17:36 +0200

peruse (1.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #893587).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 07:18:41 -0500

=== debian/control ===
Source: peruse
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: baloo-kf5-dev (>= 5.1.0),
               cmake (>= 2.8.12),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.2.0),
               libkf5archive-dev (>= 5.1.0),
               libkf5config-dev (>= 5.1.0),
               libkf5declarative-dev (>= 5.1.0),
               libkf5filemetadata-dev (>= 5.1.0),
               libkf5i18n-dev (>= 5.1.0),
               libkf5iconthemes-dev (>= 5.1.0),
               libkf5kio-dev (>= 5.1.0),
               libqt5opengl5-dev,
               pkg-kde-tools (>= 0.15.16),
               qml-module-org-kde-newstuff,
               qtbase5-dev
Standards-Version: 4.1.4
Homepage: https://peruse.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/peruse.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/peruse

Package: peruse
Architecture: any
Depends: peruse-common (>= ${source:Version}),
         qml-module-org-kde-kirigami,
         qml-module-org-kde-newstuff,
         qml-module-qt-labs-folderlistmodel,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: peruse-common (<< 1.2+dfsg-2~),
Replaces: peruse-common (<< 1.2+dfsg-2~),
Description: comic book reader for KDE
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!

Package: peruse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: common files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains architecture-independent peruse data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_missing:
	dh_missing --fail-missing

## peruse 1.2+dfsg+20181001

=== CMakeLists.txt ===
project(peruse)
cmake_minimum_required(VERSION 2.8.12)

if(POLICY CMP0063)
    cmake_policy (SET CMP0063 NEW)
endif(POLICY CMP0063)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

# Android has no DBus, so we can't use that. Sniff things and tell the code
if(CMAKE_SYSTEM_NAME STREQUAL Android)
    message("Building for Android - this means no dbus, and other small details. Work with that")
    add_definitions(-DANDROID)
    SET(QT_QMAKE_EXECUTABLE "$ENV{Qt5_android}/bin/qmake")
elseif(WIN32)
    message("Building for Windows - this means no dbus, and other small details. Work with that")
    add_definitions(-DWINDOWS)
endif()

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Qml Quick Gui Widgets OpenGL Sql)
find_package(KF5 5.5 REQUIRED COMPONENTS I18n Declarative Config FileMetaData IconThemes KIO)

find_package(KF5Baloo) # optional - we'll just let it pass if it's missing
find_package(KF5Archive ${KF5_VERSION} REQUIRED)

find_package(KF5NewStuffQuick) # optional - this currently sits in a branch. Make required when branch is merged into master
set_package_properties(KF5NewStuffQuick PROPERTIES
    PURPOSE "Required at runtime to use the store functionality"
    TYPE RUNTIME
)

find_package(KF5Kirigami2 5.37.0)
set_package_properties(KF5Kirigami2 PROPERTIES
    PURPOSE "Required at runtime to display the GUI"
    TYPE RUNTIME
)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMAddAppIcon)

kde_enable_exceptions()

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/acbf/CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,24 @@
 
 set(acbf_SRCS
     AcbfAuthor.cpp
+    AcbfBinary.cpp
     AcbfBody.cpp
     AcbfBookinfo.cpp
     AcbfContentrating.cpp
+    AcbfData.cpp
     AcbfDatabaseref.cpp
     AcbfDocument.cpp
     AcbfDocumentinfo.cpp
+    AcbfFrame.cpp
+    AcbfJump.cpp
     AcbfLanguage.cpp
     AcbfMetadata.cpp
     AcbfPage.cpp
     AcbfPublishinfo.cpp
+    AcbfReferences.cpp
+    AcbfReference.cpp
     AcbfSequence.cpp
+    AcbfStyleSheet.cpp
     AcbfTextarea.cpp
     AcbfTextlayer.cpp
 )
@@ -25,4 +32,10 @@
     Qt5::Core
 )
 
+set_target_properties(acbf PROPERTIES
+   VERSION 0.1
+   SOVERSION 0.1
+   EXPORT_NAME AdvancedComicBookFormat
+)
+
 install(TARGETS acbf ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,12 @@
     Qt5::OpenGL
     KF5::I18n
     KF5::Declarative
+    peruse_helpers
 )
 
 install(TARGETS peruse ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES org.kde.peruse.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/peruse)
-install(FILES org.kde.peruse.appdata.xml DESTINATION ${DATA_INSTALL_DIR}/appdata)
+install(FILES org.kde.peruse.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 add_subdirectory(icon)

=== src/creator/CMakeLists.txt ===
--- 
+++ 
@@ -15,12 +15,13 @@
     Qt5::OpenGL
     KF5::I18n
     KF5::Declarative
+    peruse_helpers
 )
 
 install(TARGETS perusecreator ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES org.kde.perusecreator.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/perusecreator)
-install(FILES org.kde.perusecreator.appdata.xml DESTINATION ${DATA_INSTALL_DIR}/appdata)
+install(FILES org.kde.perusecreator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 add_subdirectory(icon)

=== src/qtquick/CMakeLists.txt ===
add_subdirectory(karchive-rar)

set(USE_PERUSE_PDFTHUMBNAILER false)
if(WIN32)
    set(USE_PERUSE_PDFTHUMBNAILER true)
endif()

set(qmlplugin_SRCS
    qmlplugin.cpp
    ArchiveBookModel.cpp
    ArchiveImageProvider.cpp
    BookDatabase.cpp
    BookModel.cpp
    BookListModel.cpp
    CategoryEntriesModel.cpp
    ComicCoverImageProvider.cpp
    FilterProxy.cpp
    FolderBookModel.cpp
    PeruseConfig.cpp
    PreviewImageProvider.cpp
    PropertyContainer.cpp
)

if(USE_PERUSE_PDFTHUMBNAILER)
    set(qmlplugin_SRCS
        ${qmlplugin_SRCS}
        PDFCoverImageProvider.cpp
    )
endif()

add_library (peruseqmlplugin SHARED ${qmlplugin_SRCS})
if(USE_PERUSE_PDFTHUMBNAILER)
target_compile_definitions(peruseqmlplugin
    PRIVATE
    -DUSE_PERUSE_PDFTHUMBNAILER
)
endif()
target_include_directories(peruseqmlplugin
    PRIVATE
    karchive-rar
    acbf
)
target_link_libraries (peruseqmlplugin
    acbf
    karchive-rar
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    Qt5::Sql
    KF5::Archive
    KF5::IconThemes
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::FileMetaData
)

install (TARGETS peruseqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/peruse)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/peruse)
install (FILES peruse.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== debian/changelog ===
peruse (1.2+dfsg+20181001-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian KDE Extras Team <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:05:46 +0800

peruse (1.2+dfsg+20181001-1) unstable; urgency=medium

  * Team upload.
  * New upstream Git snapshot.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Oct 2018 07:20:00 +0200

peruse (1.2+dfsg+20180923-1) unstable; urgency=medium

  * Team upload.
  * New upstream Git snapshot.
  * Update the patches:
    - make-acbf-static.patch: refresh
    - remove-rar-support.patch: refresh
  * Update Vcs-* fields.
  * Do not append -Wall -pedantic to the CFLAGS, as there are no C sources.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Sep 2018 10:59:34 +0200

peruse (1.2+dfsg+20180219-1) unstable; urgency=medium

  * Run wrap-and-sort.
  * Add missing QtQuick runtime dependencies (Closes: #900044).
  * New upstream Git snapshot, which ports to Kirigami 2 (Closes: #898958).
  * Remove upstream patch which is in the Git snapshot.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Jun 2018 22:38:37 -0500

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                cmake (>= 2.8.12),
                debhelper (>= 11),
                extra-cmake-modules (>= 1.2.0),
+               kirigami2-dev (>= 1.1.0),
                libkf5archive-dev (>= 5.1.0),
                libkf5config-dev (>= 5.1.0),
                libkf5declarative-dev (>= 5.1.0),
@@ -18,21 +19,25 @@
                pkg-kde-tools (>= 0.15.16),
                qml-module-org-kde-newstuff,
                qtbase5-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://peruse.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/peruse.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/peruse
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse
 
 Package: peruse
 Architecture: any
 Depends: peruse-common (>= ${source:Version}),
-         qml-module-org-kde-kirigami,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-newstuff,
          qml-module-qt-labs-folderlistmodel,
+         qml-module-qt-labs-settings,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-dialogs,
+         qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: peruse-common (<< 1.2+dfsg-2~),
-Replaces: peruse-common (<< 1.2+dfsg-2~),
+Breaks: peruse-common (<< 1.2+dfsg-2~)
+Replaces: peruse-common (<< 1.2+dfsg-2~)
 Description: comic book reader for KDE
  Peruse was created as a way to make exactly that as easy and pleasant
  as possible, and to simply get out of the way and let you read your
@@ -43,7 +48,7 @@
 Package: peruse-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: common files for peruse
  Peruse was created as a way to make exactly that as easy and pleasant
  as possible, and to simply get out of the way and let you read your

## peruse 1.2+dfsg+20190713

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 include(GenerateExportHeader)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
+include(ECMQtDeclareLoggingCategory)
 
 kde_enable_exceptions()

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,13 @@
 )
 
 ecm_add_app_icon(APP_SRCS ICONS "icon/128-apps-peruse.png")
+
+ecm_qt_declare_logging_category(APP_SRCS
+    HEADER app_debug.h
+    IDENTIFIER APP_LOG
+    CATEGORY_NAME org.kde.peruse.app
+    DEFAULT_SEVERITY Warning
+)
 
 add_executable(peruse ${APP_SRCS})
 target_link_libraries(peruse

=== src/qtquick/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,13 @@
         PDFCoverImageProvider.cpp
     )
 endif()
+
+ecm_qt_declare_logging_category(qmlplugin_SRCS
+    HEADER qtquick_debug.h
+    IDENTIFIER QTQUICK_LOG
+    CATEGORY_NAME org.kde.peruse.qml
+    DEFAULT_SEVERITY Warning
+)
 
 add_library (peruseqmlplugin SHARED ${qmlplugin_SRCS})
 if(USE_PERUSE_PDFTHUMBNAILER)

=== debian/changelog ===
peruse (1.2+dfsg+20190713-1) unstable; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Pino Toscano ]
  * New upstream Git snapshot.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update the patches:
    - make-acbf-static.patch: refresh
    - remove-rar-support.patch: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jul 2019 06:43:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
-Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
+Uploaders: Simon Quigley <tsimonq2@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.1.0),
                cmake (>= 2.8.12),
                debhelper (>= 11),
@@ -19,7 +19,7 @@
                pkg-kde-tools (>= 0.15.16),
                qml-module-org-kde-newstuff,
                qtbase5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://peruse.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse

## peruse 1.2+dfsg+20191117

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,11 @@
 if(POLICY CMP0063)
     cmake_policy (SET CMP0063 NEW)
 endif(POLICY CMP0063)
+
+option(USE_PERUSE_PDFTHUMBNAILER "Use the internal thumbnail generator for PDF files (defaults to true on windows)" OFF)
+if(WIN32)
+    set(USE_PERUSE_PDFTHUMBNAILER ON)
+endif()
 
 find_package(ECM 0.0.9 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
@@ -18,19 +23,13 @@
     add_definitions(-DWINDOWS)
 endif()
 
-find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Qml Quick Gui Widgets OpenGL Sql)
-find_package(KF5 5.5 REQUIRED COMPONENTS I18n Declarative Config FileMetaData IconThemes KIO)
+find_package(Qt5 5.12 REQUIRED NO_MODULE COMPONENTS Qml Quick Gui Widgets OpenGL Sql)
+find_package(KF5 5.56 REQUIRED COMPONENTS I18n Declarative Config FileMetaData IconThemes KIO NewStuffQuick)
 
 find_package(KF5Baloo) # optional - we'll just let it pass if it's missing
 find_package(KF5Archive ${KF5_VERSION} REQUIRED)
 
-find_package(KF5NewStuffQuick) # optional - this currently sits in a branch. Make required when branch is merged into master
-set_package_properties(KF5NewStuffQuick PROPERTIES
-    PURPOSE "Required at runtime to use the store functionality"
-    TYPE RUNTIME
-)
-
-find_package(KF5Kirigami2 5.37.0)
+find_package(KF5Kirigami2 5.56.0)
 set_package_properties(KF5Kirigami2 PROPERTIES
     PURPOSE "Required at runtime to display the GUI"
     TYPE RUNTIME
@@ -45,6 +44,8 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
+set(CMAKE_AUTORCC ON)
+
 kde_enable_exceptions()
 
 add_subdirectory(src)

=== src/acbf/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,13 @@
     AcbfTextlayer.cpp
 )
 
+ecm_qt_declare_logging_category(acbf_SRCS
+    HEADER acbf_debug.h
+    IDENTIFIER ACBF_LOG
+    CATEGORY_NAME org.kde.peruse.acbf
+    DEFAULT_SEVERITY Warning
+)
+
 add_library(acbf SHARED ${acbf_SRCS})
 generate_export_header(acbf BASE_NAME acbf)

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(APP_SRCS
     main.cpp
+    resources.qrc
 )
 
 ecm_add_app_icon(APP_SRCS ICONS "icon/128-apps-peruse.png")
@@ -27,7 +28,6 @@
 
 install(TARGETS peruse ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES org.kde.peruse.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/peruse)
 install(FILES org.kde.peruse.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 add_subdirectory(icon)

=== src/common/CMakeLists.txt ===
add_library(peruse_helpers STATIC peruse_helpers.cpp )
target_link_libraries(peruse_helpers
    KF5::Declarative
    Qt5::OpenGL
)

=== src/creator/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(CREATOR_SRCS
     main.cpp
+    resources.qrc
 )
 
 ecm_add_app_icon(CREATOR_SRCS ICONS "icon/128-apps-peruse-creator.png")
@@ -20,7 +21,6 @@
 
 install(TARGETS perusecreator ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES org.kde.perusecreator.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/perusecreator)
 install(FILES org.kde.perusecreator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 add_subdirectory(icon)

=== src/qtquick/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,4 @@
 add_subdirectory(karchive-rar)
-
-set(USE_PERUSE_PDFTHUMBNAILER false)
-if(WIN32)
-    set(USE_PERUSE_PDFTHUMBNAILER true)
-endif()
 
 set(qmlplugin_SRCS
     qmlplugin.cpp
@@ -60,8 +55,9 @@
     KF5::KIOCore
     KF5::KIOWidgets
     KF5::FileMetaData
+    KF5::NewStuffCore
 )
 
 install (TARGETS peruseqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/peruse)
 install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/peruse)
-install (FILES peruse.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
+install (FILES peruse.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== src/creator/icon/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-peruse-creator.png 256-apps-peruse-creator.png sc-apps-peruse-creator.svg DESTINATION ${ICON_INSTALL_DIR})

=== debian/changelog ===
peruse (1.2+dfsg+20191117-1) unstable; urgency=medium

  * Team upload.
  * New upstream Git snapshot:
    - works with Qt 5.12 (Closes: #941351)
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.56.0
    - add libkf5newstuff-dev
  * Update copyright.
  * Update the patches:
    - remove-rar-support.patch: refresh
  * Update install files
    - add mainscript to deal with the drop of peruse.knsrc as conffile
  * Bump Standards-Version to 4.4.1, no changes required.
  * Small update to the short description.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Sun, 17 Nov 2019 08:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders: Simon Quigley <tsimonq2@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.1.0),
                cmake (>= 2.8.12),
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 1.2.0),
-               kirigami2-dev (>= 1.1.0),
-               libkf5archive-dev (>= 5.1.0),
-               libkf5config-dev (>= 5.1.0),
-               libkf5declarative-dev (>= 5.1.0),
-               libkf5filemetadata-dev (>= 5.1.0),
-               libkf5i18n-dev (>= 5.1.0),
-               libkf5iconthemes-dev (>= 5.1.0),
-               libkf5kio-dev (>= 5.1.0),
-               libqt5opengl5-dev,
+               kirigami2-dev (>= 5.56.0~),
+               libkf5archive-dev (>= 5.56.0~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5declarative-dev (>= 5.56.0~),
+               libkf5filemetadata-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5iconthemes-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5newstuff-dev (>= 5.56.0~),
+               libqt5opengl5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.15.16),
                qml-module-org-kde-newstuff,
-               qtbase5-dev
-Standards-Version: 4.4.0
+               qtbase5-dev (>= 5.12.0~),
+Standards-Version: 4.4.1
 Homepage: https://peruse.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse
@@ -38,7 +39,7 @@
          ${shlibs:Depends}
 Breaks: peruse-common (<< 1.2+dfsg-2~)
 Replaces: peruse-common (<< 1.2+dfsg-2~)
-Description: comic book reader for KDE
+Description: comic book reader
  Peruse was created as a way to make exactly that as easy and pleasant
  as possible, and to simply get out of the way and let you read your
  comic books.  One could say that it allows you to peruse your comic

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.kde.org/stable/peruse/peruse-([\d\.]+)\.tar\.xz

## peruse 1.80

=== debian/changelog ===
peruse (1.80-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 06:03:16 +0000

peruse (1.80-0neon) noble; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kcm dependency, as it is needed.
    (Closes: #998801)
  * Update the references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Nov 2021 07:31:06 +0100

peruse (1.80+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update the patches:
    - make-acbf-static.patch: update
    - remove-rar-support.patch: update/rewrite
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.1.0
    - bump Qt packages to 5.14.0
    - bump KF packages to 5.75.0
    - add gettext, libkf5attica-dev, libkf5auth-dev, libkf5codecs-dev,
      libkf5completion-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5guiaddons-dev, libkf5itemviews-dev,
      qtbase5-private-dev, qtdeclarative5-dev, and qtdeclarative5-private-dev
  * Add Rules-Requires-Root: no.
  * Update install files.
  * Switch the watch file to version 4, no changes required.
  * Add the configuration for the CI on salsa.
  * Drop all the pre-Buster replaces/breaks.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 07:54:35 +0200

=== debian/control ===
Source: peruse
Section: kde
Priority: optional
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.75.0~),
               cmake (>= 3.1.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.75.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev (>= 5.75.0~),
               libkf5archive-dev (>= 5.75.0~),
               libkf5attica-dev (>= 5.75.0~),
               libkf5auth-dev (>= 5.75.0~),
               libkf5codecs-dev (>= 5.75.0~),
               libkf5completion-dev (>= 5.75.0~),
               libkf5config-dev (>= 5.75.0~),
               libkf5configwidgets-dev (>= 5.75.0~),
               libkf5coreaddons-dev (>= 5.75.0~),
               libkf5crash-dev (>= 5.75.0~),
               libkf5declarative-dev (>= 5.75.0~),
               libkf5guiaddons-dev (>= 5.75.0~),
               libkf5i18n-dev (>= 5.75.0~),
               libkf5iconthemes-dev (>= 5.75.0~),
               libkf5itemviews-dev (>= 5.75.0~),
               libkf5jobwidgets-dev (>= 5.75.0~),
               libkf5kio-dev (>= 5.75.0~),
               libkf5newstuff-dev (>= 5.75.0~),
               libkf5package-dev (>= 5.75.0~),
               libkf5service-dev (>= 5.75.0~),
               libkf5solid-dev (>= 5.75.0~),
               libkf5widgetsaddons-dev (>= 5.75.0~),
               libkf5windowsystem-dev (>= 5.75.0~),
               libkf5xmlgui-dev (>= 5.75.0~),
               libqt5opengl5-dev (>= 5.14.0~),
               pkg-kde-tools (>= 0.15.16),
               qml-module-org-kde-newstuff,
               qtbase5-dev (>= 5.14.0~),
               qtbase5-private-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qtdeclarative5-private-dev (>= 5.14.0~)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://peruse.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/peruse.git
Vcs-Browser: https://invent.kde.org/neon/extras/peruse
Maintainer: Neon CI <neon@kde.org>

Package: peruse
Architecture: any
Depends: peruse-common (>= ${source:Version}),
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-newstuff,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: comic book reader
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!

Package: peruse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains architecture-independent peruse data files.

Package: peruse-dev
Architecture: any
Depends: peruse, ${misc:Depends}
Description: dev files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains peruse dev and library files.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=auto,repacksuffix=+neon \
https://download.kde.org/Attic/peruse/peruse-([\d\.]*).tar.xz
